Delete redemption by ID - Fabric
Delete redemption by ID
cURL
curl --request DELETE \
--url https://api.fabric.inc/v3/redemptions/{redemptionId} \
--header 'Authorization: Bearer <token>' \
--header 'x-fabric-tenant-id: <x-fabric-tenant-id>'
Python
import requests
url = "https://api.fabric.inc/v3/redemptions/{redemptionId}"
headers = {
"x-fabric-tenant-id": "<x-fabric-tenant-id>",
"Authorization": "Bearer <token>"
}
response = requests.delete(url, headers=headers)
print(response.text)
JavaScript (Fetch)
const options = {
method: 'DELETE',
headers: {'x-fabric-tenant-id': '<x-fabric-tenant-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.fabric.inc/v3/redemptions/{redemptionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP


Responses
Authorizations
Authorization
- Type:
string
- Location:
header
- Required: Yes
- Description: Bearer authentication header of the form
Bearer <token>, where <token> is your auth token.
Headers
- x-fabric-tenant-id: Required for identifying the tenant.
- x-fabric-channel-id: Required for sales channel identification.
- x-client-id: Unique identifier for the System app.
- x-fabric-request-id: Unique request ID.
Path Parameters
- redemptionId: Required ID for the redemption created to delete it.